Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.datatype.binding
Class BindingTemplate

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.datatype.binding.BindingTemplate

All Implemented Interfaces:
  java.io.Serializable

public class BindingTemplate
extends UDDIElement

Represents the bindingTemplate element within the UDDI version 2.0 schema. This class contains the following types of methods:

- Constructors for passing required fields.
- Constructor that will instantiate the object from an XML DOM element that is the appropriate element for this object.
- Get/set methods for each attribute that this element can contain.
- For sets of attributes, a get/setVector method is provided.
- SaveToXML method. Serialized this class within a passed in element. *

Typically, this class is used to construct parameters for, or interpret responses from methods in the UDDIProxy class.

Element description: Primary Data type: Describes an instance of a web service in technical terms.

Author:
  David Melgar (dmelgar@us.ibm.com), Ozzy (ozzy@hursley.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`BindingTemplate()` Default constructor.
`BindingTemplate(org.w3c.dom.Element base)` Construct the object from a DOM tree.
`BindingTemplate(java.lang.String bindingKey, TModelInstanceDetails tModelInstanceDetails)` Deprecated. This method has been deprecated. Use `BindingTemplate(String, TModelInstanceDetails, AccessPoint)` or `BindingTemplate(String, TModelInstanceDetails, HostingRedirector)` instead.
`BindingTemplate(java.lang.String bindingKey, TModelInstanceDetails tModelInstanceDetails, AccessPoint accessPoint)` Construct the object with required fields.
`BindingTemplate(java.lang.String bindingKey, TModelInstanceDetails tModelInstanceDetails, HostingRedirector hostingRedirector)` Construct the object with required fields.

Method Summary
`AccessPoint` | `getAccessPoint()`
`java.lang.String` | `getBindingKey()`
`java.lang.String` | `getDefaultDescriptionString()` Get default description string.
`java.util.Vector` | `getDescriptionVector()` Get description.
`HostingRedirector` | `getHostingRedirector()`
`java.lang.String` | `getServiceKey()`
`TModelInstanceDetails` | `getTModelInstanceDetails()`
`void` | `saveToXML(org.w3c.dom.Element parent)` Save object to DOM tree.
`void` | `setAccessPoint(AccessPoint s)`
`void` | `setBindingKey(java.lang.String s)`
`void` | `setDefaultDescriptionString(java.lang.String s)` Set default (english) description string.
`void` | `setDescriptionVector(java.util.Vector s)` Set description vector.
`void` | `setHostingRedirector(HostingRedirector s)`
`void` | `setServiceKey(java.lang.String s)`
`void` | `setTModelInstanceDetails(TModelInstanceDetails s)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### BindingTemplate

    public BindingTemplate()

  Default constructor. Use of this constructor should be avoided. Use the required fields constructor to provide validation. No validation of required fields is performed when using the default constructor.

### BindingTemplate

    public BindingTemplate(java.lang.String bindingKey,
                           TModelInstanceDetails tModelInstanceDetails)

  Deprecated. This method has been deprecated. Use `BindingTemplate(String, TModelInstanceDetails, AccessPoint)` or `BindingTemplate(String, TModelInstanceDetails, HostingRedirector)` instead.

  Construct the object with required fields.

Parameters:
  `bindingKey` - String

### BindingTemplate

    public BindingTemplate(java.lang.String bindingKey,
                           TModelInstanceDetails tModelInstanceDetails,
                           AccessPoint accessPoint)

  Construct the object with required fields.

Parameters:
  `bindingKey` - String

### BindingTemplate

    public BindingTemplate(java.lang.String bindingKey,
                           TModelInstanceDetails tModelInstanceDetails,
                           HostingRedirector hostingRedirector)

  Construct the object with required fields.

Parameters:
  `bindingKey` - String

### BindingTemplate

    public BindingTemplate(org.w3c.dom.Element base)
                    throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct object from received UDDI message.

Parameters:
  `base` - Element with name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or disposition report indicating a UDDI error.

Method Detail

### setBindingKey

    public void setBindingKey(java.lang.String s)

### setServiceKey

    public void setServiceKey(java.lang.String s)

### setAccessPoint

    public void setAccessPoint(AccessPoint s)

### setHostingRedirector

    public void setHostingRedirector(HostingRedirector s)

### setTModelInstanceDetails

    public void setTModelInstanceDetails(TModelInstanceDetails s)

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector s)

  Set description vector.

  Parameters:
    `s` - Vector of Description objects.

### setDefaultDescriptionString

    public void setDefaultDescriptionString(java.lang.String s)

  Set default (english) description string.

  Parameters:
    `s` - String

### getBindingKey

    public java.lang.String getBindingKey()

### getServiceKey

    public java.lang.String getServiceKey()

### getAccessPoint

    public AccessPoint getAccessPoint()

### getHostingRedirector

    public HostingRedirector getHostingRedirector()

### getTModelInstanceDetails

    public TModelInstanceDetails getTModelInstanceDetails()

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Get description.

  Returns:
    s Vector of Description objects.

### getDefaultDescriptionString

    public java.lang.String getDefaultDescriptionString()

  Get default description string.

  Returns:
    s String

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save object to DOM tree. Used to serialize object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.